on exitFrame
  global gRegionOn, gRegionClicked, gRegLoc, gRegionName, gRegLocIndex, gRegRollLoc, gCategoryOn, gCategoryClicked, gCategoryNum, gCategoryLoopTimer, gPDACategory, gLastLoc, gLastButtonRoll, gNewRoll, gLastInside, gSearchOn, gInternet, gArcadeOn, gExtrasOn, gGO, gGoSound, gGoTimer, gHelpOn, gVRExtra, gSelection, gLoopRestart, gLeaving
  unLoad()
  repeat with i in [2, 4, 5, 6, 7, 8, 9, 21, 23, 34, 35, 41]
    puppetSprite(i, 1)
  end repeat
  set FirstButton to 31
  set the castNum of sprite 2 to (rollOver(2) * 1) + 104
  if not gRegionOn then
    set the castNum of sprite 4 to (rollOver(4) * 10) + FirstButton
  end if
  if not gCategoryOn then
    set the castNum of sprite 5 to (rollOver(5) * 10) + FirstButton + 1
  end if
  if not gSearchOn then
    set the castNum of sprite 6 to (rollOver(6) * 10) + FirstButton + 2
  end if
  if not gInternet then
    set the castNum of sprite 7 to (rollOver(7) * 10) + FirstButton + 3
  end if
  if not gArcadeOn then
    set the castNum of sprite 8 to (rollOver(8) * 10) + FirstButton + 4
  end if
  if not gExtrasOn then
    set the castNum of sprite 9 to (rollOver(9) * 10) + FirstButton + 5
  end if
  set the castNum of sprite 21 to (rollOver(21) * 1) + 26
  set the castNum of sprite 34 to (rollOver(34) * 10) + 37
  set the castNum of sprite 35 to (rollOver(35) * 10) + 38
  set the castNum of sprite 41 to (rollOver(41) * 1) + 107
  if gSearchOn or (gExtrasOn and gGO) or (gArcadeOn and gGO) or gInternet then
    puppetSprite(46, 1)
  else
    puppetSprite(46, 0)
  end if
  set CategoryActive to gCategoryOn and gCategoryClicked
  set regionActive to gRegionOn and gRegionClicked and (gRegionName <> " ")
  set otherActive to gGO and (gArcadeOn or gExtrasOn)
  if regionActive or otherActive or gInternet or CategoryActive then
    if gGoSound = 1 then
      if not (the mouseDown) or rollOver(11) then
        puppetSound(4, "Beboo")
      end if
      set gGoSound to 0
    end if
    set the loc of sprite 23 to point(320, 240)
  else
    set gGoSound to 1
    set the loc of sprite 23 to point(-320, -240)
  end if
  updateStage()
  set InstructTextList to ["Click to Exit Transporter and Quit Application.", "Click to Select a Region to Activate the Transporter.", "Click to Select a Category to Activate Transporter.", "Click to Enter a Keyword Search for Texas Tourism Information.", "Click to Visit the Texas Tourism Website.", "Click to See Some Fun Games.", "Click Extras to Find Out More About Texas.", "Remove Card to Exit Transporter and Quit Application.", "Click to Activate Transporter Once a Region, Game, or Extra is Selected.", "Click to Find Out How to Operate the Transporter.", "Click and Hold the Mouse, Move Up or Down to Adjust the Volume."]
  set ChannelRollList to [2, 4, 5, 6, 7, 8, 9, 22, 21, 34, 35]
  repeat with i in ChannelRollList
    set ButtonRoll to 0
    if rollOver(i) then
      if i <> gLastButtonRoll then
        if not soundBusy(3) then
          puppetSound(3, "bleep")
        end if
        updateStage()
      end if
      set ButtonRoll to 1
      set pos to getOne(ChannelRollList, i)
      if (pos > 0) and (pos <= count(ChannelRollList)) then
        if (i = 21) and (gRegionClicked and (gRegionOn or gVRExtra) and (gRegionName <> " ")) and gGO then
          set RegionList to ["BB", "GC", "HC", "PP", "PW", "PL", "ST"]
          set RegionNameList to ["Big Bend", "Gulf Coast", "Hill Country", "Panhandle Plains", "Piney Woods", "Prairies & Lakes", "South Texas"]
          set RegionIndex to getPos(RegionList, gRegionName)
          set RegionNameText to getAt(RegionNameList, RegionIndex)
          SetInstruct("Click to Activate Transportation to the" && RegionNameText && "Region")
        else
          SetInstruct(getAt(InstructTextList, pos))
        end if
        set gLastButtonRoll to i
      end if
      exit repeat
    end if
  end repeat
  if ButtonRoll = 0 then
    if gVRExtra and not gRegionClicked and not rollOver(15) then
      SetInstruct("Select a Region to See a VR Panorama")
    else
      if gRegionClicked and (gRegionOn or (gVRExtra and gExtrasOn)) and (gRegionName <> " ") and gGO and not (rollOver(11) or rollOver(26)) then
        set RegionList to ["BB", "GC", "HC", "PP", "PW", "PL", "ST"]
        set RegionNameList to ["Big Bend", "Gulf Coast", "Hill Country", "Panhandle Plains", "Piney Woods", "Prairies & Lakes", "South Texas"]
        set RegionIndex to getPos(RegionList, gRegionName)
        set RegionNameText to getAt(RegionNameList, RegionIndex)
        SetInstruct("Ready for Transportation to the" && RegionNameText && "Region")
      else
        if not (rollOver(23) or rollOver(11) or rollOver(15) or rollOver(26)) then
          SetInstruct("Select a Region, Category, Arcade Game, or Extra to Activate the Transporter")
        end if
      end if
    end if
    set gLastButtonRoll to 0
  end if
  if rollOver(11) then
    cursor(-1)
    puppetSound(2, "bleep")
    puppetSprite(12, 1)
    puppetSprite(26, 1)
    set spriteH to the height of sprite 11
    if gRegionOn then
      set numItems to 7
      set castStart to 70
    else
      if gArcadeOn then
        set numItems to 6
        set castStart to 371
      end if
    end if
    set spriteSize to spriteH / numItems
    repeat while rollOver(11)
      set gRegLoc to ((the mouseV - the top of sprite 11) / spriteSize) + 1
      set the castNum of sprite 12 to castStart + gRegLoc
      set the loc of sprite 12 to point(320, 240)
      updateStage()
      if gRegLoc <= numItems then
        if not gRegionOn then
          set the loc of sprite 26 to point(-622, -382)
        end if
        if gRegionOn then
          set the castNum of sprite 26 to 150 + gRegLoc
          set the loc of sprite 26 to point(320, 240)
          set RegionList to ["Beautiful West Texas Mountains", "The Third Coast of the US", "The Rolling Hills in Central Texas", "North Texas Panhandle", "Forests and Hills of East Texas", "Beautiful Prairies and Lakes", "Scenic South Texas Plains"]
          if (gRegLoc > 0) and (gRegLoc <= count(RegionList)) then
            SetInstruct(getAt(RegionList, gRegLoc))
            set theLocLists to [[256, 188], [384, 229], [330, 200], [303, 133], [410, 167], [370, 165], [340, 248]]
            if (gRegLoc > 0) and (gRegLoc <= count(theLocLists)) then
              set LocList to getAt(theLocLists, gRegLoc)
              set HLoc to getAt(LocList, 1)
              set VLoc to getAt(LocList, 2)
              if not rollOver(18) then
                set the loc of sprite 30 to point(HLoc, 63)
                set the loc of sprite 31 to point(162, VLoc)
              end if
            end if
          end if
        else
          if gArcadeOn then
            puppetSprite(48, 1)
            if (190 + gRegLoc) <> 196 then
              set the castNum of sprite 48 to 190 + gRegLoc
              set the loc of sprite 48 to point(322, 182)
            end if
            set ArcadeList to ["Beat the Clock and Make a Match", "Find Out What You Know About Texas", "Check out our Texas coloring book.", "Call Hypertex's Bluff", "How Fast Can You Find HyperTex"]
            if (gRegLoc > 0) and (gRegLoc <= count(ArcadeList)) then
              SetInstruct(getAt(ArcadeList, gRegLoc))
            end if
          end if
        end if
      end if
      updateStage()
      if gLastLoc <> gRegLoc then
        puppetSound(2, "bleep")
      end if
      set gLastLoc to gRegLoc
      if the mouseDown then
        exit repeat
      end if
    end repeat
    if not rollOver(11) then
      puppetSprite(12, 0)
      puppetSprite(26, 0)
      puppetSprite(48, 0)
      set theLocLists to [[256, 188], [384, 229], [330, 200], [303, 133], [410, 167], [370, 165], [340, 248]]
      if gRegionClicked and (gRegLocIndex > 0) and (gRegLocIndex <= count(theLocLists)) then
        set LocList to getAt(theLocLists, gRegLocIndex)
        set HLoc to getAt(LocList, 1)
        set VLoc to getAt(LocList, 2)
        if not rollOver(18) then
          set the loc of sprite 30 to point(HLoc, 63)
          set the loc of sprite 31 to point(162, VLoc)
        end if
      end if
    end if
    updateStage()
  else
    puppetSprite(26, 0)
    if not (gRegionOn or gArcadeOn or gVRExtra) then
      puppetSprite(27, 0)
    end if
    puppetSprite(12, 0)
    updateStage()
  end if
  if rollOver(15) then
    set CategoryLoopList to ["camping", "parks", "attractions", "dude ranch", "events", "shopping", "golf", "beaches", "birdwatching", "wineries", "museums", "default"]
    cursor(-1)
    set gCategoryLoopTimer to the ticks
    set gLoopRestart to 1
    puppetSprite(16, 1)
    puppetSprite(28, 1)
    if gCategoryOn then
      set numItems to 11
      set castStart to 110
    else
      if gExtrasOn then
        set numItems to 4
        set castStart to 391
      end if
    end if
    set spriteH to the height of sprite 15
    set spriteSize to spriteH / numItems
    repeat while rollOver(15)
      if gExtrasOn then
        set gRegLoc to ((the mouseV - 90) / 30) + 1
      end if
      if gCategoryOn then
        set gRegLoc to ((the mouseV - 65) / 20) + 1
      end if
      if (gRegLoc >= 1) and (gRegLoc <= numItems) then
        set the castNum of sprite 16 to castStart + gRegLoc
        if gExtrasOn then
          set the loc of sprite 28 to point(-310, -130)
        else
          set the loc of sprite 28 to point(215, 115)
        end if
        if gCategoryOn then
          if (gRegLoc > 0) and (gRegLoc <= count(CategoryLoopList)) then
            SetInstruct(the text of cast (getAt(CategoryLoopList, gRegLoc) & ".txt"))
            set CategoryLoopName to getAt(CategoryLoopList, gRegLoc)
            updateCategorySprite(CategoryLoopName, 28)
          end if
        else
          if gExtrasOn then
            set ExtraList to ["Virtual Reality Panoramas, Select a Regional Location", "Explore the Historical Trails of Texas", "Find Out Some Interesting Facts", "Hear Some Classic Texas Tunes"]
            if (gRegLoc > 0) and (gRegLoc <= count(ExtraList)) then
              SetInstruct(getAt(ExtraList, gRegLoc))
              if (gRegLoc = 1) and gVRExtra and gRegionClicked then
                set the loc of sprite 48 to point(-322, -382)
                puppetSprite(48, 0)
              else
                puppetSprite(48, 1)
                set the castNum of sprite 48 to 200 + gRegLoc
                set the loc of sprite 48 to point(322, 182)
              end if
            end if
            updateStage()
          end if
        end if
        set the loc of sprite 16 to point(320, 240)
        if gLastLoc <> gRegLoc then
          set gNewRoll to 1
          set gLoopRestart to 1
          if not soundBusy(3) and rollOver(15) then
            if gCategoryOn then
              puppetSound(2, getAt(CategoryLoopList, gRegLoc) & "_intro.aif")
            else
              puppetSound(2, "bleep")
            end if
          end if
        else
          if gNewRoll = 0 then
            if not soundBusy(3) and rollOver(15) then
              if gCategoryOn then
                puppetSound(2, getAt(CategoryLoopList, gRegLoc) & "_intro.aif")
              else
                puppetSound(2, "bleep")
              end if
            end if
            set gNewRoll to 1
          end if
        end if
        set gLastLoc to gRegLoc
        updateStage()
      else
        if gCategoryClicked = 1 then
          set CategoryLoopName to getAt(CategoryLoopList, gCategoryNum)
          updateCategorySprite(CategoryLoopName, 28)
        else
          set the castNum of sprite 28 to the number of member "default loop"
        end if
      end if
      if the mouseDown then
        exit repeat
      end if
    end repeat
    if not rollOver(15) then
      puppetSprite(16, 0)
      if not rollOver(11) then
        set the loc of sprite 48 to point(-322, -382)
        puppetSprite(48, 0)
      end if
      updateStage()
    end if
  else
    set CategoryLoopList to ["camping", "parks", "attractions", "dude ranch", "events", "shopping", "golf", "beaches", "birdwatching", "wineries", "museums", "default"]
    set gNewRoll to 0
    puppetSprite(16, 0)
    if (gCategoryClicked = 1) and gCategoryOn then
      puppetSprite(28, 1)
      set CategoryLoopName to getAt(CategoryLoopList, gCategoryNum)
      updateCategorySprite(CategoryLoopName, 28)
    else
      if not gLeaving then
        set the castNum of sprite 28 to the number of member "default loop"
      end if
    end if
    if not rollOver(11) then
      set the loc of sprite 48 to point(-322, -382)
      puppetSprite(48, 0)
    end if
    updateStage()
  end if
  if rollOver(18) then
    set gRegRollLoc to 0
    set gLastInside to 0
    set the loc of sprite 48 to point(-322, -382)
    puppetSprite(48, 0)
    updateStage()
    if gRegionOn or (gVRExtra and gExtrasOn) then
      puppetSprite(30, 1)
      puppetSprite(31, 1)
      set RegionList to ["Beautiful West Texas Mountains", "The Third Coast of the US", "The Rolling Hills in Central Texas", "North Texas Panhandle", "Forests and Hills of East Texas", "Beautiful Prairies and Lakes", "Scenic South Texas Plains", "Select a Texas Region to Visit"]
      repeat while rollOver(18)
        cursor(200)
        set mH to the mouseH
        set mV to the mouseV
        puppetSprite(26, 1)
        if inside(point(mH, mV), rect(198, 161, 311, 235)) then
          set gRegRollLoc to 1
          set VRExtraCast to 151
        else
          if inside(point(mH, mV), rect(357, 197, 434, 300)) then
            set gRegRollLoc to 2
            set VRExtraCast to 152
          else
            if inside(point(mH, mV), rect(290, 171, 375, 233)) then
              set gRegRollLoc to 3
              set VRExtraCast to 153
            else
              if inside(point(mH, mV), rect(265, 70, 354, 188)) then
                set gRegRollLoc to 4
                set VRExtraCast to 154
              else
                if inside(point(mH, mV), rect(388, 118, 433, 208)) then
                  set gRegRollLoc to 5
                  set VRExtraCast to 155
                else
                  if inside(point(mH, mV), rect(331, 117, 402, 225)) then
                    set gRegRollLoc to 6
                    set VRExtraCast to 156
                  else
                    if inside(point(mH, mV), rect(307, 212, 374, 296)) then
                      set gRegRollLoc to 7
                      set VRExtraCast to 157
                    else
                      set gRegRollLoc to 8
                      set VRExtraCast to 159
                    end if
                  end if
                end if
              end if
            end if
          end if
        end if
        if (gRegRollLoc > 0) and (gRegRollLoc <= count(RegionList)) then
          if (gRegRollLoc = 8) and gVRExtra then
            SetInstruct("Select a Region to See a VR Panorama")
          else
            SetInstruct(getAt(RegionList, gRegRollLoc))
          end if
        end if
        if gRegionOn and (gRegRollLoc > 0) and (gRegRollLoc <= 7) then
          puppetSprite(12, 1)
          set the castNum of sprite 12 to 70 + gRegRollLoc
          set the loc of sprite 12 to point(320, 240)
        else
          set the loc of sprite 12 to point(-320, -240)
          puppetSprite(12, 0)
        end if
        set the castNum of sprite 26 to VRExtraCast
        set the loc of sprite 26 to point(320, 240)
        set the locH of sprite 30 to mH
        set the locV of sprite 31 to mV
        UpdateTime()
        set the text of cast "coord" to "(Lat.: " & the mouseH + -160 & ", Long.: " & the mouseV - 61 & ")"
        updateStage()
        if gVRExtra then
          puppetSprite(47, 1)
          set theNameLocLists to [[256, 188], [384, 229], [330, 200], [303, 133], [410, 167], [370, 165], [340, 248]]
          set theNameNumList to [251, 252, 253, 254, 255, 256, 257]
          if (gRegRollLoc > 0) and (gRegRollLoc <= count(theNameLocLists)) then
            set NameLocList to getAt(theNameLocLists, gRegRollLoc)
            set HLoc to getAt(NameLocList, 1)
            set VLoc to getAt(NameLocList, 2)
            set the castNum of sprite 47 to getAt(theNameNumList, gRegRollLoc)
            set the loc of sprite 47 to point(HLoc, VLoc)
          else
            if gRegionClicked and (gRegLocIndex > 0) and (gRegLocIndex <= count(theNameLocLists)) then
              set NameLocList to getAt(theNameLocLists, gRegLocIndex)
              set HLoc to getAt(NameLocList, 1)
              set VLoc to getAt(NameLocList, 2)
              set the castNum of sprite 47 to getAt(theNameNumList, gRegLocIndex)
              set the loc of sprite 47 to point(HLoc, VLoc)
              updateStage()
            else
              set the loc of sprite 47 to point(-300, -300)
            end if
          end if
        end if
        if the mouseDown and (gRegRollLoc > 0) and rollOver(26) then
          exit repeat
        end if
        if gLastInside <> gRegRollLoc then
          puppetSound(2, "bleep")
        end if
        set gLastInside to gRegRollLoc
      end repeat
      if gRegionClicked then
        set theLocLists to [[256, 188], [384, 229], [330, 200], [303, 133], [410, 167], [370, 165], [340, 248]]
        if (gRegLocIndex > 0) and (gRegLocIndex <= count(theLocLists)) then
          set LocList to getAt(theLocLists, gRegLocIndex)
          set HLoc to getAt(LocList, 1)
          set VLoc to getAt(LocList, 2)
          if not rollOver(18) then
            set the loc of sprite 30 to point(HLoc, 63)
            set the loc of sprite 31 to point(162, VLoc)
            if gVRExtra then
              set theNameNumList to [251, 252, 253, 254, 255, 256, 257]
              set the castNum of sprite 47 to getAt(theNameNumList, gRegLocIndex)
              set the loc of sprite 47 to point(HLoc, VLoc)
            end if
          end if
        end if
      else
        if not rollOver(18) then
          puppetSprite(47, 0)
        end if
        set the text of cast "coord" to "(Lat.: 0, Long.: 0)"
        set the loc of sprite 30 to point(320, 63)
        set the loc of sprite 31 to point(162, 182)
      end if
      updateStage()
    end if
  else
    cursor(-1)
    if not gRegionClicked then
      puppetSprite(47, 0)
    end if
    if not (gRegionOn or (gVRExtra and gExtrasOn)) then
      puppetSprite(26, 0)
      puppetSprite(30, 0)
      puppetSprite(31, 0)
      puppetSprite(33, 0)
    else
      if (rollOver(11) = 0) and (gRegionClicked = 0) then
        set the loc of sprite 30 to point(320, 63)
        set the loc of sprite 31 to point(162, 182)
      end if
    end if
    updateStage()
  end if
  if rollOver(23) then
    set the castNum of sprite 23 to 29
    SetInfo("Click GO to Transport")
  else
    if (the ticks > (gGoTimer + 60)) and gGO then
      if the castNum of sprite 23 = 29 then
        set the castNum of sprite 23 to 28
      else
        set the castNum of sprite 23 to 29
      end if
      set gGoTimer to the ticks
    end if
    if (gRegionClicked and gRegionOn and (gRegionName <> " ")) or gInternet or gGO or (gCategoryOn and gCategoryClicked) then
      SetInfo("Transporter Ready...Click GO")
    else
      if gRegionOn = 1 then
        SetInfo("Click on a Region.")
      else
        if gCategoryOn = 1 then
          SetInfo("Click on a Category.")
        else
          if gArcadeOn = 1 then
            SetInfo("Click on a Game.")
          else
            if gExtrasOn = 1 then
              SetInfo("Click on an Extra.")
            else
              if gSearchOn = 1 then
                SetInfo("Enter a Keyword.")
              else
                SetInfo("Click a Button")
              end if
            end if
          end if
        end if
      end if
    end if
  end if
  UpdateTime()
  go(the frame)
end
