on mouseDown
  global gRegLoc, gRegionClicked, gRegionName, gRegionOn, gArcadeOn, gGO, gSelection, gRegLocIndex, gGoSound
  set oldClicked to the castNum of sprite (the clickOn + 1)
  puppetSprite(the clickOn + 1, 0)
  ButtonDown(10, EMPTY)
  set oldRoll to the castNum of sprite the clickOn - 10
  if rollOver(the clickOn) then
    puppetSprite(the clickOn + 1, 1)
    set the castNum of sprite (the clickOn + 1) to the castNum of sprite the clickOn
    set the loc of sprite (the clickOn + 1) to point(320, 240)
    if gRegionOn then
      puppetSprite(27, 1)
      set the castNum of sprite 27 to 160 + gRegLoc
      set the loc of sprite 27 to point(320, 240)
      set gRegLocIndex to gRegLoc
      set gRegionName to the name of member the castNum of sprite 13
      set theLocLists to [[256, 188], [384, 229], [330, 200], [303, 133], [410, 167], [370, 165], [340, 248]]
      if (gRegLocIndex > 0) and (gRegLocIndex <= count(theLocLists)) then
        set LocList to getAt(theLocLists, gRegLocIndex)
        set HLoc to getAt(LocList, 1)
        set VLoc to getAt(LocList, 2)
        set the loc of sprite 30 to point(HLoc, 63)
        set the loc of sprite 31 to point(162, VLoc)
      end if
      updateStage()
      SetInfo("Transporter Ready...Click GO")
      set gRegionClicked to 1
      set gGoSound to 1
      set gGO to 1
    end if
    if gArcadeOn then
      if gSelection <> gRegLoc then
        set gSelection to gRegLoc
        puppetSprite(18, 1)
        puppetSprite(46, 1)
        set the castNum of sprite 18 to 190 + gRegLoc
        set the loc of sprite 18 to point(322, 182)
        puppetTransition(5, 1, 10)
        puppetSound(3, "grieb")
        repeat while soundBusy(3)
          nothing()
        end repeat
        set gGoSound to 1
        set gGO to 1
      end if
    end if
  else
    puppetSprite(the clickOn + 1, 1)
    set the castNum of sprite (the clickOn + 1) to oldClicked
    set the loc of sprite (the clickOn + 1) to point(320, 240)
  end if
  updateStage()
  repeat while the stillDown
  end repeat
end

on mouseUp
  global gRegionOn, gRegionName, gRegionClicked, gInternet, gCategoryOn, gGO
  if rollOver(the clickOn) and the doubleClick and gRegionOn then
    if gRegionOn then
      set gRegionName to the name of member the castNum of sprite 13
      SetInstruct("Downloading Regional Information into Passport")
      repeat with j in [26, 30, 31]
        set the loc of sprite j to point(-320, -240)
      end repeat
      puppetTransition(5, 2, 10)
      puppetSound(3, "grieb")
      repeat while soundBusy(3)
        updateStage()
      end repeat
      repeat with j in [10, 11, 12, 13, 14, 15, 16, 17]
        set the loc of sprite j to point(-320, -240)
      end repeat
      if gRegionOn and gCategoryOn then
        puppetTransition(6, 2, 10)
      end if
      if gRegionOn and (gCategoryOn = 0) then
        puppetTransition(1, 2, 10)
      end if
      if (gRegionOn = 0) and gCategoryOn then
        puppetTransition(2, 2, 10)
      end if
      puppetSound(3, "menuoff")
      repeat while soundBusy(3)
        updateStage()
      end repeat
      repeat with i = 1 to 48
        if i <> 27 then
          puppetSprite(i, 0)
        end if
      end repeat
      set gRegionClicked to 0
      set gRegionOn to 0
      set gCategoryOn to 0
      set gInternet to 0
      set gGO to 0
      preloadMember(member "powerup")
      preloadMember(member "screenoff")
      go("trans")
    end if
  end if
end
