on exitFrame
  global gPDACategory, gPDAQT, gNotUpdated, gRegionName, gVideoCast, gFirstQT, gStartVR, gQTVRLocation, theFileDel, gPDAVR, gPDAText, gQTVRNode, gPDAPict, gCategoryOn
  if gPDACategory = 0 then
    set gPDACategory to 1
  end if
  repeat with i in [22, 24, 30, 35, 44, 46, 47, 48]
    puppetSprite(i, 1)
  end repeat
  set the visible of sprite 13 to 0
  if gCategoryOn = 0 then
  else
    set the castNum of sprite 44 to 354 + gPDACategory
  end if
  set the locV of sprite 44 to the locV of sprite 44 - ((gPDACategory - 1) * 12)
  set the locV of sprite 44 to 156
  updateStage()
  if gStartVR = 1 then
    set gNotUpdated to 0
    set gPDAQT to 0
    set gPDAVR to 1
    set gFirstQT to 0
    puppetSprite(29, 1)
    set the castNum of sprite 29 to 305
    updateStage()
    set RegionNameList to ["BB", "GC", "HC", "PP", "PW", "PL", "ST"]
    set RegionIndex to getPos(RegionNameList, gRegionName)
    set QTVRNameList to [["McDonald Observatory", "Fort Davis", "Scenic Drive", "Rio Grande River", "Hiking Trails"], ["Beaches", "Wind Surfing", "Deep Sea Fishing", "U.S.S. Lexington"], ["Town Lake", "Umlauf Garden", "Rock Climbing", "Golfing"], ["Horseback Riding", "Bike Trails", "Canyon View"], ["State Park", "View from Shore"], ["Derrick Tower", "Central View", "Another Angle", "Western Town"], ["Mariachi", "RiverWalk", "River Ride"]]
    set RegionQTVRNameList to ["Ft.Davis/ Big Bend", "Gulf Coast", "Austin", "Palo Duro Canyon", "Caddo Lake", "Six Flags Over Texas", "Riverwalk, San Antonio"]
    set RegionQTVRNodes to [5, 4, 4, 3, 2, 4, 3]
    set QTVRNames to getAt(QTVRNameList, RegionIndex)
    if gQTVRNode <= count(QTVRNames) then
      if gQTVRNode < 1 then
        set gQTVRNode to 1
      end if
      set gRegionNodeName to getAt(QTVRNames, gQTVRNode)
    end if
    set QTVRNodes to getAt(RegionQTVRNodes, RegionIndex)
    set gQTVRLocation to getAt(RegionQTVRNameList, RegionIndex)
    SetVRMessage(gQTVRLocation & " - " & gRegionNodeName)
    set the loc of sprite 14 to point(224, 134)
    set QTVRText to EMPTY
    repeat with i in QTVRNames
      put i & RETURN after QTVRText
    end repeat
    set the text of member "PDA Location List" to QTVRText
    updateStage()
    set the text of member "instruct2" to "To select a Panorama, click the name of the scene in the location to the left.  To view, click and hold the mouse down while moving over the scene. If the cursor turns into a hand with a circle, it is over a " & QUOTE & " hot spot " & QUOTE & ". Click once on the " & QUOTE & " hot spot " & QUOTE & " to see a video."
    set the castNum of sprite 46 to the number of member "instruct2"
    set the loc of sprite 46 to point(265, 180)
    puppetSound(3, "grieb")
    puppetTransition(5, 1, 10)
    set QTVRStartList to ["ftda15.mov", "prta11.mov", "aust21.mov", "pdur07.mov", "cdlk30.mov", "sflg02.mov", "rwsa26.mov"]
    if RegionIndex <> 0 then
      set PanoFilename to the pathName & "QTVR" & theFileDel & getAt(QTVRStartList, RegionIndex)
      set the text of cast "Pano Filename" to PanoFilename
    end if
  else
    if gFirstQT then
      set gVideoCast to the number of member (gRegionName & ".promo")
      preloadMember(the castNum of sprite 48)
      set the loc of sprite 48 to point(382, 253)
      updateStage()
      set the castNum of sprite 30 to 306
      set the castNum of sprite 48 to gVideoCast
      set the castNum of sprite 35 to 312
      updateStage()
      if the type of member the castNum of sprite 48 = #digitalVideo then
        preloadMember(the castNum of sprite 48)
        set the video of member the castNum of sprite 48 to 1
        set the movieRate of sprite 48 to 1
        updateStage()
      end if
      set the text of field "PDA location list" to "This Video displays some interesting activities for the Region."
      set gPDAQT to 1
    else
      puppetSprite(22, 1)
      puppetSprite(24, 1)
      puppetSprite(33, 1)
      puppetSprite(47, 1)
      set the castNum of sprite 33 to 309
      set the loc of sprite 22 to point(537, 140)
      set the loc of sprite 24 to point(537, 367)
      set the text of member "instruct2" to "This will display Location Specific Text"
      set the castNum of sprite 46 to the number of member "instruct2"
      set the loc of sprite 46 to point(265, 220)
      set the castNum of sprite 47 to 320
      set the loc of sprite 47 to point(222, 133)
      puppetSound(3, "grieb")
      puppetTransition(5, 1, 10)
      set gPDAText to 1
      UpdateLocations()
    end if
  end if
end
