on mouseDown
  global gSearchOn, gRegionOn, gCategoryOn, gInternet, gRegionSearchList, gRegionClicked, gCityLine, gArcadeOn, gExtrasOn, gGO, gGoSound, gVRExtra, gPC
  set gRegionClicked to 0
  set gCityLine to 0
  if gSearchOn then
    puppetSound(3, "beep3")
    repeat while the stillDown
      if rollOver(the clickOn) then
        set the castNum of sprite 6 to 43
      else
        set the castNum of sprite 6 to 53
      end if
      updateStage()
    end repeat
    if rollOver(the clickOn) then
      set the editableText of sprite 40 to 0
      repeat with j in [36, 37, 38, 39, 40, 42, 43, 44, 45]
        set the loc of sprite j to point(-320, -240)
        puppetSprite(j, 0)
      end repeat
      puppetSprite(18, 1)
      set the castNum of sprite 18 to 158
      set the loc of sprite 18 to point(320, 240)
      puppetTransition(5, 2, 10)
      puppetSound(3, "grieb")
      repeat while soundBusy(3)
        updateStage()
      end repeat
      set gSearchOn to 0
    end if
  else
    ButtonDown(10, EMPTY)
    if rollOver(the clickOn) then
      repeat with i in [4, 5, 7, 8, 9]
        set the castNum of sprite i to 27 + i
      end repeat
      updateStage()
      repeat with j in [26, 27, 28, 30, 31, 33, 47, 48]
        set the loc of sprite j to point(-320, -340)
      end repeat
      repeat with j in [18, 36, 37, 38, 39, 40, 42, 43, 44, 45, 46]
        puppetSprite(j, 1)
      end repeat
      if gPC then
        set the castNum of sprite 36 to 98
      else
        set the castNum of sprite 36 to 99
      end if
      set the loc of sprite 18 to point(-364, -365)
      set the loc of sprite 40 to point(283, 66)
      set the loc of sprite 37 to point(167, 148)
      set the loc of sprite 38 to point(285, 120)
      set the loc of sprite 39 to point(285, 90)
      set the loc of sprite 36 to point(167, 67)
      set the loc of sprite 42 to point(272, 145)
      set the loc of sprite 43 to point(472, 116)
      set the loc of sprite 44 to point(272, 296)
      set the loc of sprite 45 to point(472, 296)
      set the loc of sprite 46 to point(-200, -200)
      set the text of member "SearchData" to EMPTY
      set the text of member "foundData" to "Found Items..."
      SetInfo("Search Ready...")
      put "City - Region Name" into field "CurrentCity"
      put "Informative text related to found locations." & RETURN & "After Entering a Keyword," & RETURN & "Please Click an Item on the left" & RETURN & "to see Location descriptions and information." into field "InternalData"
      set gRegionSearchList to [#bb: "Big Bend Country", #gc: "Gulf Coast", #hc: "Hill Country", #pp: "Panhandle Plains", #pw: "Piney Woods", #pl: "Prairies and Lakes", #st: "South Texas Plains"]
      puppetTransition(5, 2, 10)
      puppetSound(3, "grieb")
      repeat while soundBusy(3)
        updateStage()
      end repeat
      if gRegionOn or gCategoryOn or gExtrasOn or gArcadeOn then
        repeat with j in [10, 11, 12, 13, 14, 15, 16, 17]
          set the loc of sprite j to point(-320, -240)
        end repeat
        if (gRegionOn or gArcadeOn) and (gCategoryOn or gExtrasOn) then
          puppetTransition(6, 2, 10)
        end if
        if (gRegionOn or gArcadeOn) and not (gCategoryOn or gExtrasOn) then
          puppetTransition(1, 2, 10)
        end if
        if not (gRegionOn or gArcadeOn) and (gCategoryOn or gExtrasOn) then
          puppetTransition(2, 2, 10)
        end if
        if gRegionOn or gArcadeOn or gCategoryOn or gExtrasOn then
          puppetSound(3, "menuoff")
        end if
        repeat while soundBusy(3)
          updateStage()
        end repeat
        set gArcadeOn to 0
        set gExtrasOn to 0
        set gRegionOn to 0
        set gCategoryOn to 0
      end if
      set gVRExtra to 0
      set gGO to 0
      set gGoSound to 0
      set gInternet to 0
      set gSearchOn to 1
      set the editableText of sprite 40 to 1
    end if
  end if
end
