on initializeSearch
  global gHitList, gCityLine, gSearchRegionName, gRegionSearchList, gPC
  puppetSound(3, "Grieb")
  cursor(4)
  set the text of member "foundData" to "Found items"
  SetInfo("Computing...")
  put "City - Region Name" into field "CurrentCity"
  put "Informative text related to found locations." & RETURN & "After Entering a Keyword," & RETURN & "Please Click an Item on the left" & RETURN & "to see Location descriptions and information." into field "InternalData"
  if the last char in field "SearchData" = RETURN then
    put "a return found"
    delete char -30000 of field "searchData"
  end if
  set MyFoundData to EMPTY
  set MyFoundDataRegion to EMPTY
  set MyFoundDataList to EMPTY
  set the itemDelimiter to TAB
  set MySearchData to field "SearchData"
  set MySearchData to " " & MySearchData & " "
  set RegionList to value(gRegionSearchList)
  set TotalRegions to count(RegionList)
  if gPC then
    set theFolder to "Text\"
  else
    set theFolder to "Text:"
  end if
  repeat with k = 1 to TotalRegions
    cursor(4)
    set theFile to string(getPropAt(RegionList, k))
    set gSearchRegionName to getAt(RegionList, k)
    set FileObj to FileIO(mnew, "READ", the pathName & theFolder & theFile & ".dat")
    if not objectp(FileObj) then
      alert("FileIO unable to load.")
    end if
    set gWordData to FileObj(mReadFile)
    FileObj(mdispose)
    set lines to the number of lines in gWordData
    repeat with n = 1 to lines
      set searchLine to line n of gWordData
      if gPC then
        set existsInLine to searchLine contains MySearchData
      else
        set existsInLine to FindFirst(searchLine, MySearchData) > 0
      end if
      if existsInLine then
        put gSearchRegionName & TAB & searchLine & RETURN after MyFoundDataList
      end if
    end repeat
  end repeat
  set FoundLines to the number of lines in MyFoundDataList
  repeat with n = 1 to FoundLines
    put item 2 of line n of MyFoundDataList & RETURN after MyFoundData
  end repeat
  if (MyFoundData = EMPTY) or (MyFoundData = RETURN) then
    set MyFoundData to "No items found"
  end if
  put MyFoundData into field "FoundData"
  puppetSound(3, 0)
  cursor(-1)
  set gHitList to MyFoundDataList
  set gCityLine to 0
  set the scrollTop of member "foundData" to 0
  SetInfo("Select an Item:")
  UpdateCity()
end

on UpdateCity
  global gHitList, gCityLine, gSearchRegionName, gWordData
  set gCityLine to value(gCityLine)
  if gCityLine = 0 then
    put "City - Region Name" into field "CurrentCity"
    put "Informative text related to found locations." & RETURN & "After Entering a Keyword," & RETURN & "Please Click an Item on the left" & RETURN & "to see Location descriptions and information." into field "InternalData"
  else
    set the itemDelimiter to TAB
    if not voidp(gHitList) then
      set CityLine to line gCityLine of gHitList
      set RegionName to item 1 of CityLine
      set CityName to item 2 of CityLine
      set CityText to item 3 of CityLine
      set ParagraphSeparator to RETURN & RETURN & "    "
      repeat while 1
        set h to offset("þ", CityText)
        if h = 0 then
          exit repeat
          next repeat
        end if
        put ParagraphSeparator into char h of CityText
      end repeat
      if RegionName = EMPTY then
        put "City - Region Name" into field "CurrentCity"
        put "Informative text related to found locations." & RETURN & "After Entering a Keyword," & RETURN & "Please Click an Item on the left" & RETURN & "to see Location descriptions and information." into field "InternalData"
      else
        put CityName && "-" && RegionName into field "CurrentCity"
        put CityText into field "InternalData"
      end if
      SetInfo("Search Results:")
    end if
  end if
end
