on mouseDown
  global gVR.Active, gPDAVR, gPDAText, gRegionName, gQTVRNode, theFileDel, gStartVR, gQTVRLocation, gRegionNodeName, gPDAHelp, HotSpotMessage
  puppetSound(3, "beep3")
  set gStartVR to 0
  if gPDAVR then
    set the loc of sprite 47 to point(-1222, -1133)
  end if
  if gPDAVR then
    if the mouseLine > 1 then
    end if
  else
  end if
  updateStage()
  repeat while the stillDown
    updateStage()
  end repeat
  if rollOver(the clickOn) then
    if gPDAVR and (the mouseLine >= 1) then
      set RegionNameList to ["BB", "GC", "HC", "PP", "PW", "PL", "ST"]
      set RegionIndex to getPos(RegionNameList, gRegionName)
      set QTVRList to [["ftda15.mov", "ftda16.mov", "bgbn18.mov", "bgbn19.mov", "bgbn20.mov"], ["prta11.mov", "prta12.mov", "prta13.mov", "prta14.mov"], ["aust23.mov", "aust21.mov", "aust24.mov", "aust25.mov"], ["pdur07.mov", "pdur08.mov", "pdur10.mov"], ["cdlk30.mov", "cdlk31.mov"], ["sflg01.mov", "sflg02.mov", "sflg03.mov", "sflg06.mov"], ["rwsa26.mov", "rwsa27.mov", "rwsa29.mov"]]
      put "PDA locations text menu script"
      put QTVRList
      set QTVRNameList to [["McDonald Observatory", "Fort Davis", "Scenic Drive", "Rio Grande River", "Hiking Trails"], ["Beaches", "Windsurfing", "Deep Sea Fishing", "U.S.S. Lexington"], ["Town Lake", "Umlauf Garden", "Rock Climbing", "Golfing"], ["Horseback Riding", "Bike Trails", "Canyon View"], ["State Park", "View from Shore"], ["Derrick Tower", "Central View", "Another Angle", "Western Town"], ["Mariachi", "RiverWalk", "River Ride"]]
      set QTVRPictList to [[641, 642, 643, 644, 645], [721, 722, 723, 724], [803, 801, 804, 805], [681, 682, 683], [841, 842], [881, 883, 884, 885], [761, 762, 763]]
      set RegionQTVRNameList to ["Ft.Davis/ Big Bend", "Gulf Coast", "Austin", "Palo Duro Canyon", "Caddo Lake", "Six Flags Over Texas", "Riverwalk, San Antonio"]
      if RegionIndex = 0 then
        set numRegions to count(RegionQTVRNameList)
        set NewVRList to []
        set NewNameList to []
        set NewPictList to []
        set theRegionList to []
        repeat with n = 1 to numRegions
          set CurrentRegionName to getAt(RegionQTVRNameList, n)
          set currentMovieNameList to getAt(QTVRList, n)
          set currentRegionNameList to getAt(QTVRNameList, n)
          set currentStartPictMemberList to getAt(QTVRPictList, n)
          add(NewVRList, 0)
          add(NewNameList, 0)
          add(NewPictList, 0)
          add(theRegionList, 0)
          set numMovies to count(currentMovieNameList)
          repeat with currentElement = 1 to numMovies
            add(NewVRList, getAt(currentMovieNameList, currentElement))
            add(NewNameList, getAt(currentRegionNameList, currentElement))
            add(NewPictList, getAt(currentStartPictMemberList, currentElement))
            add(theRegionList, CurrentRegionName)
          end repeat
        end repeat
        set QTVRNodeNames to NewVRList
        set QTVRNames to NewNameList
        set QTVRPictNums to NewPictList
      else
        set QTVRNodeNames to getAt(QTVRList, RegionIndex)
        set QTVRNames to getAt(QTVRNameList, RegionIndex)
        set QTVRPictNums to getAt(QTVRPictList, RegionIndex)
      end if
      if the mouseLine <= count(QTVRNodeNames) then
        if RegionIndex = 0 then
          set gQTVRLocation to getAt(theRegionList, the mouseLine)
        end if
        set theMovieName to getAt(QTVRNodeNames, the mouseLine)
        if theMovieName <> 0 then
          set PanoFilename to the pathName & "QTVR" & theFileDel & theMovieName
          set gRegionNodeName to getAt(QTVRNames, the mouseLine)
          if the text of cast "Pano Filename" <> PanoFilename then
            set PanoFilePict to getAt(QTVRPictNums, the mouseLine)
            set the castNum of sprite 46 to PanoFilePict
            set the loc of sprite 46 to point(382, 253)
            updateStage()
            set the text of member "instruct2" to " "
            close.DAI.VR.Pano()
            updateStage()
            set the text of cast "Pano Filename" to PanoFilename
          end if
          set gQTVRNode to the mouseLine
          set gVR.Active to 1
          updateStage()
        end if
      end if
    else
      if gPDAText then
        GetTextLine(the mouseLine)
      else
        if gPDAHelp then
          set HelpTextList to ["search", "qtvr", "video", "slide", "audio", "infotext", "internet", "pulldown", "power", "replay", "return"]
          if (the mouseLine > 0) and (the mouseLine <= count(HelpTextList)) then
            set helpCast to getAt(HelpTextList, the mouseLine)
            set the text of field "pda text" to line the mouseLine of field "PDA Location List" & RETURN & the text of field ("pda." & helpCast & ".help")
          end if
        end if
      end if
    end if
  end if
end
