global gPDACategory, gCatPrefixCode, gRegionName, gOffScreenTextBuffer

on UpdateLocations
  set CatList to ["CRV", "PARK", "AP", "DUDE", "EVENT", "SHOP", "GOLF", "BEACH", "BIRD", "WINE", "MUSE"]
  if (gPDACategory >= 1) and (gPDACategory < 12) then
    set gCatPrefixCode to getAt(CatList, gPDACategory)
    set gCatPrefixCode to gCatPrefixCode & "_" & gRegionName
    set NewData to "Click the list on the left to select region or category, then select an icon from the top menu bar."
    set TextMemberNum to the number of member gCatPrefixCode
    if TextMemberNum > 0 then
      set NewData to the text of member TextMemberNum
    end if
    set gOffScreenTextBuffer to NewData
    if (gRegionName = " ") and (NewData <> "Click the list on the left to select region or category, then select an icon from the top menu bar.") then
      set numLines to the number of lines in gOffScreenTextBuffer
      set OldDelimiter to the itemDelimiter
      set the itemDelimiter to ":"
      set NewData to "Click the list on the left to select region or category, then select an icon from the top menu bar."
      repeat with currentLine = 1 to numLines
        set theLine to line currentLine of gOffScreenTextBuffer
        put item 2 of theLine into line currentLine of NewData
      end repeat
      set the itemDelimiter to OldDelimiter
    end if
    if (gPDACategory = 8) and (gRegionName <> "GC") then
      set NewData to "Please see the Gulf Coast region for the list of beaches"
    end if
    put NewData into field "PDA location list"
    set the scrollTop of member "PDA location list" to 0
    GetTextLine(1)
  end if
end

on GetTextLine WhatLine
  set NewData to "Click the list on the left to select region or category, then select an icon from the top menu bar."
  set TextMemberNum to the number of member gCatPrefixCode
  set the loc of sprite 46 to point(-265, -220)
  if TextMemberNum > 0 then
    if gRegionName = " " then
      if gRegionName = " " then
        set numLines to the number of lines in gOffScreenTextBuffer
        set OldDelimiter to the itemDelimiter
        set the itemDelimiter to ":"
        set NewData to "Click the list on the left to select region or category, then select an icon from the top menu bar."
        set theLine to line WhatLine of gOffScreenTextBuffer
        set NextMember to item 1 of theLine
        if NextMember = 0 then
          set NextMember to "DefaultCatText"
        end if
        set the itemDelimiter to OldDelimiter
      end if
    else
      set NextMember to TextMemberNum + WhatLine
    end if
    set theTextMemberNum to the number of member NextMember
    if theTextMemberNum > 0 then
      set NewData to the text of member theTextMemberNum
    end if
  end if
  put NewData into field "pda text"
  set the scrollTop of member "pda text" to 0
end
