on exitFrame
  global gGO, gGoTimer, gInternet, gSearchOn, gGoSound, gLastButtonRoll, gTravelTexLocation, gNetscapeFound, gIExplorerFound, gOtherBrowserFound, gInternetHelp
  set netscapeSprite to 38
  set explorerSprite to 39
  set otherNetSprite to 40
  if gNetscapeFound then
    puppetSprite(netscapeSprite, 1)
    set the castNum of sprite netscapeSprite to (rollOver(netscapeSprite) * 1) + 231
  else
    set the castNum of sprite netscapeSprite to 234
    puppetSprite(netscapeSprite, 0)
  end if
  if gIExplorerFound then
    puppetSprite(explorerSprite, 1)
    set the castNum of sprite explorerSprite to (rollOver(explorerSprite) * 1) + 235
  else
    set the castNum of sprite explorerSprite to 234
    puppetSprite(explorerSprite, 0)
  end if
  if gOtherBrowserFound then
    puppetSprite(otherNetSprite, 1)
    set the castNum of sprite otherNetSprite to (rollOver(otherNetSprite) * 1) + 241
  else
    set the castNum of sprite otherNetSprite to 234
    puppetSprite(otherNetSprite, 0)
  end if
  if gInternet then
    if gGoSound = 1 then
      puppetSound(4, "Beboo")
      set gGoSound to 0
    end if
  else
    set gGoSound to 1
  end if
  repeat with i in [2, 4, 5, 6, 7, 8, 9, 21, 23, 25, 34]
    puppetSprite(i, 1)
  end repeat
  set the castNum of sprite 2 to (rollOver(2) * 1) + 104
  set the castNum of sprite 25 to (rollOver(25) * 1) + 207
  if not gInternetHelp then
    set the castNum of sprite 34 to (rollOver(34) * 10) + 37
  end if
  updateStage()
  set ChannelRollList to [2, 7, 25, 34, 38, 39, 40]
  set ChannelTextList to ["Exit Transporter", "Deacitvate Internet Mode", "Find Your Browser", "Internet Help", "Launch Netscape", "Launch Internet Explorer", "Launch Other Browser"]
  repeat with i in ChannelRollList
    set ButtonRoll to 0
    if rollOver(i) then
      set ButtonRoll to 1
      if (i = netscapeSprite) and not gNetscapeFound then
        set ButtonRoll to 0
      end if
      if (i = explorerSprite) and not gIExplorerFound then
        set ButtonRoll to 0
      end if
      if (i = otherNetSprite) and not gOtherBrowserFound then
        set ButtonRoll to 0
      end if
      if i <> gLastButtonRoll then
        puppetSound(3, "bleep")
      end if
      set ButtonRoll to 1
      set RollIndex to getPos(ChannelRollList, i)
      if (RollIndex > 0) and (RollIndex <= count(ChannelTextList)) and ButtonRoll then
        set ChannelText to getAt(ChannelTextList, RollIndex)
        SetInfo(ChannelText)
      end if
      set gLastButtonRoll to i
      updateStage()
      exit repeat
    end if
  end repeat
  if ButtonRoll = 0 then
    if gInternetHelp then
      SetInfo("Internet Help")
    else
      SetInfo("Ready, Click a Browser")
    end if
    set gLastButtonRoll to 0
  end if
  if the text of field "TravelTexLocation" <> gTravelTexLocation then
    set the text of field "TravelTexLocation" to gTravelTexLocation
  end if
  UpdateTime()
  go(the frame)
end
