on exitFrame
  global gPDAInternet, gPDAInternetHelp, gLastPDAButtonRoll, gNetscapeFound, gIExplorerFound, gOtherBrowserFound, gTravelTexLocation
  set netscapeSprite to 29
  set explorerSprite to 30
  set otherNetSprite to 31
  if gNetscapeFound then
    puppetSprite(netscapeSprite, 1)
    set the castNum of sprite netscapeSprite to (rollOver(netscapeSprite) * 1) + 231
  else
    set the castNum of sprite netscapeSprite to 234
    puppetSprite(netscapeSprite, 0)
  end if
  if gIExplorerFound then
    puppetSprite(explorerSprite, 1)
    set the castNum of sprite explorerSprite to (rollOver(explorerSprite) * 1) + 235
  else
    set the castNum of sprite explorerSprite to 234
    puppetSprite(explorerSprite, 0)
  end if
  if gOtherBrowserFound then
    puppetSprite(otherNetSprite, 1)
    set the castNum of sprite otherNetSprite to (rollOver(otherNetSprite) * 1) + 241
  else
    set the castNum of sprite otherNetSprite to 234
    puppetSprite(otherNetSprite, 0)
  end if
  repeat with i in [6, 7, 10, 11, 13, 19, 21, 25, 26, 27, 34]
    puppetSprite(i, 1)
  end repeat
  set the castNum of sprite 10 to (rollOver(10) * 10) + 200
  set the castNum of sprite 11 to (rollOver(11) * 1) + 605
  set the castNum of sprite 26 to (rollOver(26) * 10) + 282
  set the castNum of sprite 19 to (rollOver(19) * 1) + 207
  set the castNum of sprite 34 to (rollOver(34) * 10) + 290
  if not gPDAInternetHelp then
    set the castNum of sprite 27 to (rollOver(27) * 10) + 283
  end if
  updateStage()
  set ChannelRollList to [10, 11, 13, 19, 26, 27, 29, 30, 31, 34]
  set LineStartList to [4, 7, 70, 73, 16, 76, 79, 82, 85, 40]
  set ChannelTextList to ["Return to Transporter", "Replay Intro Slide Show", "Deacitvate Internet Mode", "Find Your Browser", "Texas Accents", "Internet Help", "Launch Netscape", "Launch Internet Explorer", "Launch Other Browser", "Turn Off Passport"]
  repeat with i in ChannelRollList
    set ButtonRoll to 0
    if rollOver(i) then
      set ButtonRoll to 1
      if (i = 29) and not gNetscapeFound then
        set ButtonRoll to 0
      end if
      if (i = 30) and not gIExplorerFound then
        set ButtonRoll to 0
      end if
      if (i = 31) and not gOtherBrowserFound then
        set ButtonRoll to 0
      end if
      set RollIndex to getPos(ChannelRollList, i)
      if (RollIndex > 0) and (RollIndex <= count(ChannelTextList)) and ButtonRoll then
        set ChannelText to getAt(ChannelTextList, RollIndex)
        set the text of cast "PDA region info" to ChannelText
        set startLine to getAt(LineStartList, RollIndex)
        put line startLine of field "Region Help Rollover Text" & RETURN & line startLine + 1 of field "Region Help Rollover Text" into field "Region Help Text"
        if i <> gLastPDAButtonRoll then
          puppetSound(3, "bleep")
          updateStage()
        end if
      end if
      set gLastPDAButtonRoll to i
      exit repeat
    end if
  end repeat
  if ButtonRoll = 0 then
    if gPDAInternetHelp then
      set the text of field "PDA region info" to "Internet Help"
    else
      set the text of field "PDA region info" to "Ready, Click a Browser"
    end if
    put line 1 to 2 of field "Region Help Rollover Text" into field "Region Help Text"
    set gLastPDAButtonRoll to 0
  end if
  if the text of field "TravelTexLocation" <> gTravelTexLocation then
    set the text of field "TravelTexLocation" to gTravelTexLocation
  end if
  go(the frame)
end
