on startMovie
  global gRegionOn, gCategoryOn, gLastLoc, gSearchOn, gPDACategory, gLastPDACategory, gRegLoc, gRegionName, gGO, gRegionClicked, gVR.Active, gPC, gHotSpot, gPDAVR, gPDAHelp, gPDAQT, gPDASearch, gPDASnd, gPDAText, goHome, gInternet, gCategoryClicked, browserFileName, gArcadeOn, gExtrasOn, commentlist, mancomment, gGoTimer, theFileDel, BrowserSet, gVRExtra, gStartVR, gNotUpdated, gPDAInternet, gPDAInternetHelp
  set the soundEnabled to 1
  set gPDAInternetHelp to 0
  set gPDAInternet to 0
  set gNotUpdated to 0
  set gStartVR to 0
  set gVRExtra to 0
  set BrowserSet to 0
  set gGO to 0
  set gRegionOn to 0
  set gCategoryOn to 0
  set gSearchOn to 0
  set gLastLoc to 0
  set gPDACategory to 0
  set gLastPDACategory to 1
  set gRegLoc to 1
  set gRegionClicked to 0
  set gVR.Active to 0
  set gHotSpot to 0
  set gPDAQTVR to 0
  set gPDAHelp to 0
  set gPDASearch to 0
  set gPDAVR to 0
  set gPDAPict to 0
  set gPDASnd to 0
  set gPDAText to 0
  set gPDAQT to 0
  set gVR.MovieOpen to 0
  set goHome to 0
  set gInternet to 0
  set gArcadeOn to 0
  set gExtrasOn to 0
  set gRegionName to " "
  set gCategoryClicked to 0
  set gRegionSearchList to [:]
  set the text of cast "Pano Filename" to " "
  put "Pull Down to Select a Region" into field "scroll text menu"
  put "Region URL Location" into field "Region Web Location"
  put "Browser Location" into field "BrowserName"
  put "Hard Drive Name" into field "HardDriveName"
  set browserFileName to EMPTY
  set the exitLock to 1
  SetInfo(" ")
  UpdateTime()
  SetInstruct(" ")
  set gGoTimer to the ticks
  set commentlist to ["ARGUE2.AIF", "BOASTFL2.AIF", "BOASTFUL.AIF", "BUSY01.AIF", "BUSY02.AIF", "CANTBEAT.AIF", "CAPABLE.AIF", "CELEB01.AIF", "CELEB02.AIF", "CHEEP.AIF", "CHICKEN.AIF", "Conversion Log", "CUTWOOD.AIF", "DARK.AIF", "DISHONST.AIF", "DUMB.AIF", "EXCEPT2.AIF", "EXPER02.AIF", "Greased Lightning", "Hotter Than", "LOUD.AIF", "MEAN.AIF", "NERVOUS.AIF", "POOR.AIF", "RICH.AIF", "Sit on Fence", "SMALL.AIF", "SOBIG.AIF", "UGLY.AIF", "Well Rope", "WORM.AIF", "Yee-Haw"]
  if voidp(mancomment) then
    set mancomment to ["ARGUE2.AIF", "BOASTFL2.AIF", "BOASTFUL.AIF", "BUSY01.AIF", "BUSY02.AIF", "CANTBEAT.AIF", "CAPABLE.AIF", "CELEB01.AIF", "CELEB02.AIF", "CHEEP.AIF", "CHICKEN.AIF", "Conversion Log", "CUTWOOD.AIF", "DARK.AIF", "DISHONST.AIF", "DUMB.AIF", "EXCEPT2.AIF", "EXPER02.AIF", "Greased Lightning", "Hotter Than", "LOUD.AIF", "MEAN.AIF", "NERVOUS.AIF", "POOR.AIF", "RICH.AIF", "Sit on Fence", "SMALL.AIF", "SOBIG.AIF", "UGLY.AIF", "Well Rope", "WORM.AIF", "Yee-Haw"]
  end if
  set gPC to the machineType = 256
  if gPC then
    StartMovie.pc()
    set theFileDel to "\"
  else
    StartMovie.mac()
    set theFileDel to ":"
  end if
  puppetSound(0)
  repeat with i = 1 to 8
    set the volume of sound i to 255
  end repeat
end

on checkMain
  global gGoTimer, gGO, gCategoryOn, gRegLoc, gCategoryClicked, gCategoryNum, gLeaving
  UpdateTime()
  if the frame < 55 then
    if gCategoryOn then
      set CategoryLoopList to ["camping", "parks", "attractions", "dude ranch", "events", "shopping", "golf", "beaches", "birdwatching", "wineries", "museums", "default"]
      if rollOver(15) then
        if (gRegLoc > 0) and (gRegLoc <= count(CategoryLoopList)) then
          set CategoryLoopName to getAt(CategoryLoopList, gRegLoc)
          updateCategorySprite(CategoryLoopName, 28)
        end if
      else
        if (gCategoryNum > 0) and (gCategoryNum <= count(CategoryLoopList)) then
          set CategoryLoopName to getAt(CategoryLoopList, gCategoryNum)
          updateCategorySprite(CategoryLoopName, 28)
        end if
      end if
    end if
    if (the ticks > (gGoTimer + 60)) and gGO and (rollOver(23) = 0) then
      if the castNum of sprite 23 = 29 then
        set the castNum of sprite 23 to 28
      else
        set the castNum of sprite 23 to 29
      end if
      set gGoTimer to the ticks
    else
    end if
  end if
end

on stopMovie
  global gPC
  close.DAI.VR.Pano()
  if gPC then
    StopMovieXtra()
  else
    StopMovie.mac()
  end if
end

on runPano
  global gVR.MovieOpen, gPC
  unLoadCast()
  if not gVR.MovieOpen then
    cursor(4)
    if gPC then
      Open.DAI.VR.PC.Pano()
    else
      Open.DAI.VR.Mac.Pano()
    end if
    cursor(-1)
    cursor(200)
    cursor(-1)
  else
    if gPC then
      MovieFrameScriptXtra(3)
    else
      PanoFrameScript.mac(3)
    end if
  end if
end

on close.DAI.VR.Pano
  global gVR.Active, gPC
  if gPC then
    close.DAI.VR.PC.Pano()
  else
    Close.DAI.VR.Mac.Pano()
  end if
  set gVR.Active to 0
end

on keyDown
  global gPDAQT
  if the key = "" then
    if gPDAQT then
      set the castNum of sprite 48 to 273
      set the loc of sprite 48 to point(325, 244)
      updateStage()
    end if
    goCredits()
  end if
  if (the key = "q") and the commandDown then
    if gPDAQT then
      set the castNum of sprite 48 to 273
      set the loc of sprite 48 to point(325, 244)
      updateStage()
    end if
    goCredits()
  end if
end

on goCredits
  repeat with i = 1 to 48
    puppetSprite(i, 0)
  end repeat
  go("credits")
end
