on exitFrame
  global gHelpOn, gHelpList, gHelpCastList, gHelpIndex, gHelpItems
  puppetSprite(35, 1)
  set the castNum of sprite 35 to 38 + (rollOver(35) * 10)
  puppetSprite(2, 1)
  set the castNum of sprite 2 to 104 + (rollOver(2) * 1)
  if gHelpOn then
    puppetSound(0)
    puppetSprite(36, 1)
    puppetSprite(37, 1)
    puppetSprite(47, 1)
    puppetSprite(48, 1)
    set gHelpList to [234, 256, 289, 316, 770, 1073, 1261, 1786, 2276, 2713, 2760, 2798, 2900, 2915, 2930, 2945, 2960, 2975, 2990, 3005, 3040]
    set gHelpCastList to [58, 57, 58, 57, 51, 52, 55, 56, 54, 57, 58, 57, 110, 100, 90, 80, 70, 60, 50, 40, 29]
    repeat with i in [40, 50, 51, 52, 54, 55, 56, 57, 58, 60, 62, 63, 64, 65, 70, 80, 90, 100, 110]
      preloadMember(i)
    end repeat
    SetInfo("Starting Help Tutorial")
    set the castNum of sprite 36 to 57
    set the castNum of sprite 48 to the number of member "helptex"
    updateStage()
    if the type of member the castNum of sprite 48 = #digitalVideo then
      set the movieRate of sprite 48 to 1
      updateStage()
    end if
    set gHelpIndex to 1
    set gHelpOn to 0
  end if
  if the type of member the castNum of sprite 48 = #digitalVideo then
    if (count(gHelpList) > 0) and (the movieTime of sprite 48 < the duration of sprite(48)) then
      if the movieTime of sprite 48 > getAt(gHelpList, 1) then
        if count(gHelpCastList) > 0 then
          set the castNum of sprite 36 to getAt(gHelpCastList, 1)
          case gHelpIndex of
            5:
              set the castNum of sprite 37 to 62
              set the loc of sprite 37 to point(320, 240)
            6:
              set the castNum of sprite 37 to 64
              set the loc of sprite 37 to point(320, 240)
            7:
              set the castNum of sprite 37 to 63
              set the loc of sprite 37 to point(320, 240)
            8:
              set the castNum of sprite 37 to 65
              set the loc of sprite 37 to point(320, 240)
            otherwise:
              set the loc of sprite 37 to point(-300, -300)
          end case
        end if
        updateStage()
        set gHelpIndex to gHelpIndex + 1
        deleteAt(gHelpCastList, 1)
        deleteAt(gHelpList, 1)
      end if
    end if
    if the movieTime of sprite 48 < the duration of sprite(48) then
      if rollOver(48) then
        SetInfo("Click Movie to Exit Help")
      else
        if rollOver(47) then
          set the castNum of sprite 47 to 57
          set the visible of sprite 47 to 1
          if the movieRate of sprite 48 then
            SetInfo("Click Help to Pause")
          else
            SetInfo("Click Help to Continue")
          end if
        else
          if rollOver(35) then
            set the visible of sprite 47 to 0
            SetInfo("Click to Adjust Volume")
          else
            if rollOver(2) then
              set the visible of sprite 47 to 0
              SetInfo("Click to Quit")
            else
              set the visible of sprite 47 to 0
              SetInfo("Click Movie to Exit Help")
            end if
          end if
        end if
      end if
      updateStage()
      go(the frame)
    else
      set the visible of sprite 47 to 1
      puppetSprite(35, 0)
      puppetSprite(36, 0)
      puppetSprite(37, 0)
      puppetSprite(47, 0)
      puppetSprite(48, 0)
      go(the frame + 1)
    end if
  end if
end
