on exitFrame
  global gPDACategory, gRegLoc, gVR.Active, gPDAHelp, gPDASearch, gPDAVR, gPDAQT, gPDAPict, gPDASnd, gPDAInternet, gPDAText, gNotUpdated, gLastPDAButtonRoll, gPC, gFirstQT, gPDASlideShow, gPDASlideShowTimer, gStartVR, gPictNum, gPictStart, gPictEnd, gRegionName, theFileDel, gPanoFilename, gQTVRLocation, gVRExtra
  if gRegionName = "PL" then
    set the castNum of sprite 13 to the number of member "Copyright"
    set the visible of sprite 13 to 1
    updateStage()
  else
    set the visible of sprite 13 to 0
  end if
  if gVR.Active then
    if not gPC then
      if rollOver(46) then
        checkVRMac()
      end if
    end if
    if rollOver(48) then
      checkVR()
    end if
    runPano()
    set the loc of sprite 14 to point(224, 134)
  else
    cursor(-1)
    if not gPDAVR then
      set the loc of sprite 14 to point(-224, -134)
    end if
  end if
  updateStage()
  repeat with i in [10, 11, 14, 26, 27, 28, 29, 30, 31, 32, 33, 34, 46, 47]
    puppetSprite(i, 1)
  end repeat
  if gPDAPict = 1 then
    set the castNum of sprite 47 to the number of member "pict counter"
    set the loc of sprite 47 to point(483, 356)
    if gPDASlideShow then
      if the ticks > (gPDASlideShowTimer + 120) then
        if gPictNum < gPictEnd then
          set gPictNum to gPictNum + 1
        else
          set gPictNum to gPictStart
        end if
        set the text of field "pict counter" to gPictNum - gPictStart + 1 & " of " & gPictEnd - gPictStart + 1
        set the castNum of sprite 46 to gPictNum
        set gPDASlideShowTimer to the ticks
      end if
    end if
  else
    if not (gPDAHelp or gPDAText) then
      set the loc of sprite 47 to point(-622, -633)
    end if
  end if
  updateStage()
  if soundBusy(2) then
    set gPDASnd to 1
  else
    set gPDASnd to 0
  end if
  set ChannelRollList to [10, 11, 20, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 42]
  set ChannelTextList to ["Return to Transporter", "Replay Intro Slide Show", "Search Entry Field", "Talkin' Texan", "Passport Help", "Regional Keyword Search", "Virtual Reality Panoramas", "Regional Video", "Picture Slide Show", "Category Audio", "Location Information Text", "Turn Off Passport", "Play/Pause", "Rewind", "Fast Forward", "Passport Mode Display", "Location List", "Pull Down Category Menu"]
  repeat with i in ChannelRollList
    set ButtonRoll to 0
    if rollOver(i) then
      set RollIndex to getPos(ChannelRollList, i)
      if (RollIndex > 0) and (RollIndex <= count(ChannelTextList)) then
        set ChannelText to getAt(ChannelTextList, RollIndex)
        set the text of cast "PDA region info" to ChannelText
        set startLine to (RollIndex * 3) + 1
        put line startLine of field "Region Help Rollover Text" & RETURN & line startLine + 1 of field "Region Help Rollover Text" into field "Region Help Text"
      end if
      if i <> gLastPDAButtonRoll then
        if not soundBusy(3) then
          puppetSound(3, "bleep")
        end if
        updateStage()
      end if
      set ButtonRoll to 1
      set gLastPDAButtonRoll to i
      exit repeat
    end if
  end repeat
  if ButtonRoll = 0 then
    set the text of cast "PDA region info" to "Rollover an Area for Help"
    put line 1 to 2 of field "Region Help Rollover Text" into field "Region Help Text"
    set gLastPDAButtonRoll to 0
  end if
  set FirstButton to 282
  set the castNum of sprite 10 to (rollOver(10) * 10) + 200
  set the castNum of sprite 11 to (rollOver(11) * 1) + 605
  set the castNum of sprite 26 to (rollOver(26) * 10) + FirstButton
  if not gPDAHelp then
    set the castNum of sprite 27 to (rollOver(27) * 10) + FirstButton + 1
  end if
  if not gPDASearch then
    set the castNum of sprite 28 to (rollOver(28) * 10) + FirstButton + 2
  end if
  if not gPDAVR then
    set the castNum of sprite 29 to (rollOver(29) * 10) + FirstButton + 3
  end if
  if not gPDAQT then
    set the castNum of sprite 30 to (rollOver(30) * 10) + FirstButton + 4
  end if
  if not gPDAPict then
    set the castNum of sprite 31 to (rollOver(31) * 10) + FirstButton + 5
  end if
  if not gPDAText then
    set the castNum of sprite 33 to (rollOver(33) * 10) + FirstButton + 7
  end if
  set the castNum of sprite 34 to (rollOver(34) * 10) + FirstButton + 8
  if gPDASnd then
    if (the clickOn = 26) or (the clickOn = 32) then
      set the castNum of sprite 32 to 308
    end if
  else
    if not (gPDASnd or soundBusy(2)) then
      set the castNum of sprite 32 to (rollOver(32) * 10) + FirstButton + 6
    end if
  end if
  updateStage()
  if the type of member the castNum of sprite 48 = #digitalVideo then
    if the movieRate of sprite 48 = 1 then
      set the castNum of sprite 35 to 312
      updateStage()
    else
      set the castNum of sprite 35 to 311
      updateStage()
      if the movieTime of sprite 48 = the duration of sprite(48) then
        if gFirstQT = 1 then
          set the castNum of sprite 48 to 273
          set the loc of sprite 48 to point(325, 244)
          updateStage()
          set the castNum of sprite 46 to 273
          set the loc of sprite 46 to point(325, 244)
          set the castNum of sprite 29 to 305
          updateStage()
          set RegionNameList to ["BB", "GC", "HC", "PP", "PW", "PL", "ST"]
          set RegionIndex to getPos(RegionNameList, gRegionName)
          set QTVRNameList to [["McDonald Observatory", "Fort Davis", "Scenic Drive", "Rio Grande River", "Hiking Trails"], ["Beaches", "Wind Surfing", "Deep Sea Fishing", "U.S.S. Lexington"], ["Town Lake", "Umlauf Garden", "Rock Climbing", "Golfing"], ["Horseback Riding", "Bike Trails", "Canyon View"], ["State Park", "View from Shore"], ["Derrick Tower", "Central View", "Another Angle", "Western              Town"], ["Mariachi", "RiverWalk", "River Ride"]]
          set RegionQTVRNameList to ["Ft.Davis/ Big Bend", "Gulf Coast", "Austin", "Palo Duro Canyon", "Caddo Lake", "Six Flags Over Texas", "Riverwalk, San Antonio"]
          set RegionQTVRNodes to [5, 4, 4, 3, 2, 4, 3]
          set QTVRNames to getAt(QTVRNameList, RegionIndex)
          set QTVRNodes to getAt(RegionQTVRNodes, RegionIndex)
          set gQTVRLocation to getAt(RegionQTVRNameList, RegionIndex)
          SetVRMessage(gQTVRLocation)
          updateStage()
          set the loc of sprite 14 to point(224, 134)
          set QTVRText to EMPTY
          repeat with i in QTVRNames
            put i & RETURN after QTVRText
          end repeat
          set the text of member "PDA Location List" to QTVRText
          set the text of member "instruct2" to "To select a Panorama, click the name of the scene in the location to the left.  To view, click and hold the mouse down while moving over the scene. If the cursor turns into a hand with a circle, it is over a " & QUOTE & " hot spot " & QUOTE & ". Click once on the " & QUOTE & " hot spot " & QUOTE & " to see a video."
          set the castNum of sprite 46 to the number of member "instruct2"
          set the loc of sprite 46 to point(265, 180)
          set the loc of sprite 48 to point(-1290, -1240)
          puppetSound(3, "grieb")
          puppetTransition(5, 1, 10)
          set QTVRStartList to ["ftda15.mov", "prta11.mov", "aust21.mov", "pdur07.mov", "cdlk30.mov", "sflg02.mov", "rwsa26.mov"]
          if RegionIndex <> 0 then
            set PanoFilename to the pathName & "QTVR" & theFileDel & getAt(QTVRStartList, RegionIndex)
            set the text of cast "Pano Filename" to PanoFilename
          end if
          set gPDAVR to 1
          set gPDAQT to 0
          set gFirstQT to 0
        else
          if the type of member the castNum of sprite 48 = #digitalVideo then
            set the movieRate of sprite 48 to 0
          end if
          updateStage()
          set the castNum of sprite 48 to 273
          set the loc of sprite 48 to point(325, 244)
          set the castNum of sprite 46 to 273
          set the loc of sprite 46 to point(325, 244)
          updateStage()
          set QTInterruptus to 0
          repeat with i in [27, 28, 29, 31, 33]
            if the clickOn = i then
              set QTInterruptus to 1
              exit repeat
            end if
          end repeat
          if QTInterruptus = 0 then
            set the loc of sprite 48 to point(-1290, -1240)
            puppetSprite(22, 1)
            puppetSprite(24, 1)
            puppetSprite(33, 1)
            puppetSprite(47, 1)
            set the castNum of sprite 33 to 309
            set the loc of sprite 22 to point(537, 140)
            set the loc of sprite 24 to point(537, 367)
            set the text of member "instruct2" to "This will display Location Specific Text"
            set the castNum of sprite 46 to the number of member "instruct2"
            set the loc of sprite 46 to point(-265, -220)
            set the castNum of sprite 47 to 320
            set the loc of sprite 47 to point(222, 133)
            puppetTransition(5, 1, 10)
            puppetSound(3, "grieb")
            repeat while soundBusy(3)
              updateStage()
            end repeat
          end if
          set gPDAQT to 0
          set gPDAText to 1
          UpdateLocations()
        end if
      end if
    end if
    updateStage()
  end if
  if gPDAVR = 0 then
    SetVRMessage(" ")
    SetVRInfo(" ")
    if gNotUpdated = 1 then
      if not (gPDAHelp or gPDAPict or gPDAQT or gPDASearch) then
        UpdateLocations()
      end if
      set gNotUpdated to 0
    end if
  end if
  set the editableText of sprite 20 to gPDASearch
  UpdateTime()
  go(the frame)
end
