on mouseDown
  global gVR.Active, gPDAHelp, gPDASearch, gPDAVR, gPDAQT, gPDAPict, gPDASnd, gPDAText, gRegionName, gFirstQT, gQTVRLocation, gQTVRNode, gRegionNodeName, gPC
  put gPDAVR
  if gPDAVR = 0 then
    ButtonDown(10, EMPTY)
  else
    puppetSound(3, "beep3")
    repeat while the stillDown
    end repeat
  end if
  if rollOver(the clickOn) then
    puppetSprite(46, 1)
    if gPDAQT then
      if the type of member the castNum of sprite 48 = #digitalVideo then
        set the movieRate of sprite 48 to 0
        updateStage()
        set the castNum of sprite 48 to 273
        set the loc of sprite 48 to point(325, 244)
        set the castNum of sprite 46 to 273
        set the loc of sprite 46 to point(325, 244)
        updateStage()
        set the loc of sprite 48 to point(-1290, -1240)
      end if
      set gFirstQT to 0
      set gPDAQT to 0
    end if
    set the castNum of sprite 35 to 311
    updateStage()
    if gPDASearch or gPDAText or gPDAHelp then
      set the editableText of sprite 20 to 0
      updateStage()
      repeat with i in [16, 17, 18, 19, 20, 21, 22, 23, 24, 48]
        set the loc of sprite i to point(-333, -333)
      end repeat
      set gPDASearch to 0
      set gPDAText to 0
    end if
    if gPDAVR = 0 then
      set QTVRNameList to [["McDonald Observatory", "Fort Davis", "Scenic Drive", "Rio Grande River", "Hiking Trails"], ["Beaches", "Windsurfing", "Deep Sea Fishing", "U.S.S. Lexington"], ["Town Lake", "Umlauf Garden", "Rock Climbing", "Golfing"], ["Horseback Riding", "Bike Trails", "Canyon View"], ["State Park", "View from Shore"], ["Derrick Tower", "Central View", "Another Angle", "Western Town"], ["Mariachi", "RiverWalk", "River Ride"]]
      set RegionQTVRNameList to ["Ft.Davis/ Big Bend", "Gulf Coast", "Austin", "Palo Duro Canyon", "Caddo Lake", "Six Flags Over Texas", "Riverwalk, San Antonio"]
      set RegionNameList to ["BB", "GC", "HC", "PP", "PW", "PL", "ST"]
      set RegionQTVRNodes to [5, 4, 4, 3, 2, 4, 3]
      set RegionIndex to getPos(RegionNameList, gRegionName)
      if RegionIndex = 0 then
        set numRegions to count(RegionQTVRNameList)
        set QTVRText to "Click the list on the left to select region or category, then select an icon from the top menu bar."
        set currentLine to 1
        repeat with n = 1 to numRegions
          set currentRegion to getAt(RegionQTVRNameList, n)
          set currentRegionNameList to getAt(QTVRNameList, n)
          set currentRegionPrefix to getAt(RegionNameList, n)
          put "**" & currentRegion & "**" into line currentLine of QTVRText
          set currentLine to 1 + currentLine
          repeat with currentName in currentRegionNameList
            put currentName into line currentLine of QTVRText
            set currentLine to currentLine + 1
          end repeat
        end repeat
        set QTVRNodes to currentLine
        set gRegionNodeName to "gRegionNodeName"
        set gQTVRLocation to " "
      else
        set QTVRNames to getAt(QTVRNameList, RegionIndex)
        if gQTVRNode <= count(QTVRNames) then
          if gQTVRNode < 1 then
            set gQTVRNode to 1
          end if
          set gRegionNodeName to getAt(QTVRNames, gQTVRNode)
        end if
        set QTVRNodes to getAt(RegionQTVRNodes, RegionIndex)
        set gQTVRLocation to getAt(RegionQTVRNameList, RegionIndex)
        SetVRMessage(gQTVRLocation)
        set QTVRText to EMPTY
        repeat with i in QTVRNames
          put i & RETURN after QTVRText
        end repeat
      end if
      set the loc of sprite 14 to point(224, 134)
      set the text of member "PDA Location List" to QTVRText
      set the text of member "instruct2" to "To select a Panorama, click the name of the scene in the location to the left.  To view, click and hold the mouse down while moving over the scene. If the cursor turns into a hand with a circle, it is over a " & QUOTE & " hot spot " & QUOTE & ". Click once on the " & QUOTE & " hot spot " & QUOTE & " to see a video."
      set the castNum of sprite 46 to the number of member "instruct2"
      set the loc of sprite 46 to point(265, 180)
      if gPC then
        SetVRInfo("Keys:   Shift --> Zoom In,   Control --> Zoom Out")
      else
        SetVRInfo("Keys:   Option --> Zoom In,   Control --> Zoom Out")
      end if
      puppetSound(3, "grieb")
      puppetTransition(5, 1, 10)
    end if
    set gPDAPict to 0
    set gPDAHelp to 0
    set gPDAVR to 1
  end if
end
