on Open.DAI.VR.PC.Pano
  global gVR.MovieOpen, gQTVRInstanceXtra
  CloseMovieXtra()
  updateStage()
  updateStage()
  OpenMovieXtra(the text of cast "Pano Filename", 3, "visible")
  if objectp(gQTVRInstanceXtra) then
    go(the frame)
    QTVRUpdate(gQTVRInstanceXtra)
    set gVR.MovieOpen to 1
  else
    updateStage()
    alert("Can't open file:" & RETURN & RETURN & QUOTE & the text of cast "Pano Filename" & QUOTE & RETURN & RETURN & "as a panoramic movie.")
  end if
end

on close.DAI.VR.PC.Pano
  CloseMovieXtra()
  updateStage()
  updateStage()
end

on InitPanoCallbacks.pc
  global gPanoMovieObj, gPanoCallbackFactory
  if objectp(gPanoMovieObj) and objectp(gPanoCallbackFactory) then
  end if
end

on ShowPanoMovie.pc pQuality
  global gPanoMovieObj
  if objectp(gPanoMovieObj) then
    if not voidp(pQuality) then
      gPanoMovieObj(mSetQuality, string(pQuality))
    end if
    gPanoMovieObj(mUpdate)
  end if
end

on SetPanoNode.pc pNodeID, pUpdate, pQuality
  global gPanoMovieObj
  if objectp(gPanoMovieObj) then
    if not voidp(pNodeID) then
      gPanoMovieObj(mSetNodeID, integer(pNodeID))
    end if
    if not voidp(pQuality) then
      gPanoMovieObj(mSetQuality, string(pQuality))
    end if
    if pUpdate then
      gPanoMovieObj(mUpdate)
    end if
  end if
end

on SwingPanoMovie.pc pHPan, pVPan, pZoom, pSwingSpeed, pSwingQuality, pFinalQuality
  global gPanoMovieObj
  if objectp(gPanoMovieObj) then
    gPanoMovieObj(mSetZoomAngle, string(pZoom))
    gPanoMovieObj(mSetVPanAngle, string(pVPan))
    gPanoMovieObj(mSetHPanAngle, string(pHPan))
    gPanoMovieObj(mSetQuality, string(pSwingQuality))
    gPanoMovieObj(mSetTransitionMode, "swing")
    gPanoMovieObj(mSetTransitionSpeed, string(pSwingSpeed))
    gPanoMovieObj(mUpdate)
    gPanoMovieObj(mSetTransitionMode, "normal")
    if pFinalQuality <> pSwingQuality then
      gPanoMovieObj(mSetQuality, string(pSwingQuality))
      gPanoMovieObj(mUpdate)
    end if
  end if
end

on SetPanoMovieView.pc pHPan, pVPan, pZoom, pQuality
  global gPanoMovieObj
  if objectp(gPanoMovieObj) then
    gPanoMovieObj(mSetZoomAngle, string(pZoom))
    gPanoMovieObj(mSetVPanAngle, string(pVPan))
    gPanoMovieObj(mSetHPanAngle, string(pHPan))
    if not voidp(pQuality) then
      gPanoMovieObj(mSetQuality, string(pQuality))
    end if
    gPanoMovieObj(mUpdate)
  end if
end

on ClosePanoMovie.pc
  global gPanoMovieObj, gVR.MovieOpen
  if objectp(gPanoMovieObj) then
    gPanoMovieObj(mdispose)
  end if
  set gVR.MovieOpen to 0
end

on PanoFrameScript.pc pSpriteNum
  global gLastTimeRollover, gHotSpot, gPanoMovieObj, gLastPanoMovieData, gPathName, gNavMovieObj, gPanoFrame
  if rollOver(pSpriteNum) then
    if objectp(gPanoMovieObj) then
      set tMouseOverResult to gPanoMovieObj(mMouseOver)
      set the itemDelimiter to ","
      if tMouseOverResult <> 0 then
        set tAction to item 1 of tMouseOverResult
        if tAction = "jump" then
        else
          if tAction = "stil" then
            put item 2 of tMouseOverResult into field "Current Hot Spot ID"
          else
            if tAction = "navg" then
              set tHotSpotID to item 2 of tMouseOverResult
              put tHotSpotID into field "Current Hot Spot ID"
              set tViewAngles to gPanoMovieObj(mGetNavgViewAngles)
              set tFileName to gPanoMovieObj(mGetHotSpotName)
              if objectp(gNavMovieObj) then
                set gPanoFrame to marker(0)
                go("Object From Pano")
                SetNavMovieView(item 1 of tViewAngles, item 2 of tViewAngles)
                ShowNavMovie()
              end if
            else
              if tAction = "misc" then
              else
                if tAction = "undf" then
                  if the mouseUp then
                    checkVRHotSpotClick()
                  end if
                else
                  if tAction = "pan " then
                  end if
                end if
              end if
            end if
          end if
        end if
        set gLastTimeRollover to 1
      else
        cursor(200)
        cursor(-1)
        set gLastTimeRollover to 0
      end if
    end if
  else
    if gLastTimeRollover then
      cursor(200)
      cursor(-1)
      set gLastTimeRollover to 0
      if objectp(gPanoMovieObj) then
        gPanoMovieObj(mIdle)
      end if
    end if
  end if
end
