on OpenNavMovie.mac pFilename, pSpriteNum, pShowOnOpen
  global gNavMovieID
  CloseNavMovie()
  set gNavMovieID to NavMovie("openMovie", "Direct", pFilename, the left of sprite pSpriteNum & "," & the top of sprite pSpriteNum, "ShowPoster", "Invisible")
  if gNavMovieID contains "error" then
    put gNavMovieID
    set gNavMovieID to EMPTY
    beep()
    exit
  end if
  if pShowOnOpen then
    NavMovie("Direct", gNavMovieID, "update")
  end if
end

on ShowNavMovie.mac
  global gNavMovieID
  if gNavMovieID <> EMPTY then
    NavMovie("Direct", gNavMovieID, "update")
  end if
end

on ZoomNavMovie.mac pStartZoomRect, pSkipFirstFrame, pClipRect
  global gNavMovieID
  if gNavMovieID <> EMPTY then
    set tCommand to "ZoomOutMovie" && QUOTE & pStartZoomRect & QUOTE
    if not voidp(pSkipFirstFrame) then
      set tCommand to tCommand & "," & pSkipFirstFrame
    end if
    if not voidp(pClipRect) then
      set tCommand to tCommand & "," & QUOTE & pClipRect & QUOTE
    end if
    NavMovie("Direct", gNavMovieID, tCommand)
    NavMovie("Direct", gNavMovieID, "idle")
  end if
end

on SetNavMovieView.mac pHPan, pVPan
  global gNavMovieID
  if gNavMovieID <> EMPTY then
    NavMovie("Direct", gNavMovieID, "set", "hPanAngle", pHPan)
    NavMovie("Direct", gNavMovieID, "set", "vPanAngle", pVPan)
  end if
end

on CloseNavMovie.mac
  global gNavMovieID
  if gNavMovieID <> EMPTY then
    NavMovie("Direct", gNavMovieID, "dispose")
    set gNavMovieID to EMPTY
  end if
end

on NavFrameScript.mac pSpriteNum
  global gNavMovieID
  if (gNavMovieID <> EMPTY) and (RunningInForeground() = "true") then
    if rollOver(pSpriteNum) then
      NavMovie("Direct", gNavMovieID, "mouseOver")
      cursor(200)
      cursor(-1)
    else
      NavMovie("Direct", gNavMovieID, "idle")
    end if
  end if
end
